package ${basePackage}.module.system.req;

import ${basePackage}.frame.base.BaseUpdateRequest;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * UserUpdateRequest - 用户更新
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
public class UserChangePwdRequest extends BaseUpdateRequest {

    /**
     * 主键
     */
    private Long id;

    /**
     * 旧密码(明文)
     */
    @NotBlank(message = "旧密码不能为空")
    private String password;

    /**
     * 新密码(明文)
     */
    @NotBlank(message = "新密码不能为空")
    private String newPassword;

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getNewPassword() {
        return newPassword;
    }

    public void setNewPassword(String newPassword) {
        this.newPassword = newPassword;
    }
}
